program testval

  use errorHandling
  use dal

  
  implicit none 

  character(len=50) :: strAtt
  logical :: hascol


  type(DataSetT) :: specDataSet
  type(TableT) :: specTable

! Access output Spectral File

  specDataSet=dataSet("spec1.pi",Read)
  specTable=table(specDataSet,"SPECTRUM")


! Output File has correct CONTENT keyword

  strAtt=stringAttribute(specDataSet,'CONTENT')
  if(trim(strAtt) /= "EPIC FLUCTUATIONS SPECTRUM") then
       call fatal('notFluctFile','Output file does not contain &
       &Fluctuations Product')
    endif


! Output File contains correct dimensions:


  hascol=hasColumn(specTable,"CHANNEL")
  if(.NOT.hascol)call fatal('IncompOutput','CHANNEL column not found')

  hascol=hasColumn(specTable,"COUNTS")
  if(.NOT.hascol)call fatal('IncompOutput','COUNTS column not found')

  hascol=hasColumn(specTable,"STAT_ERR")
  if(.NOT.hascol)call fatal('IncompOutput','STAT_ERR column not found')

  hascol=hasColumn(specTable,"QUALITY")
  if(.NOT.hascol)call fatal('IncompOutput','QUALITY column not found')

  hascol=hasColumn(specTable,"GROUPING")
  if(.NOT.hascol)call fatal('IncompOutput','GROUPING column not found')

end program testval

